ServiceLauncher.MinimalGenericOptionsParser (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.service.launcher, class: ServiceLauncher, class: MinimalGenericOptionsParser

Package org.apache.hadoop.service.launcher

# Class ServiceLauncher.MinimalGenericOptionsParser

java.lang.Object
org.apache.hadoop.util.GenericOptionsParser
org.apache.hadoop.service.launcher.ServiceLauncher.MinimalGenericOptionsParser

Enclosing class:
  ServiceLauncher<S extends Service>

protected static class ServiceLauncher.MinimalGenericOptionsParser extends GenericOptionsParser
A generic options parser which does not parse any of the traditional Hadoop options.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MinimalGenericOptionsParser(Configuration conf, org.apache.commons.cli.Options options, String[] args)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.apache.commons.cli.Options`
  `buildGeneralOptions(org.apache.commons.cli.Options opts)`

  ### Methods inherited from class org.apache.hadoop.util.GenericOptionsParser

  `getCommandLine, getConfiguration, getLibJars, getRemainingArgs, isParseSuccessful, printGenericCommandUsage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MinimalGenericOptionsParser

    public MinimalGenericOptionsParser(Configuration conf, org.apache.commons.cli.Options options, String[] args) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### buildGeneralOptions

    protected org.apache.commons.cli.Options buildGeneralOptions(org.apache.commons.cli.Options opts)
    Overrides:
      `buildGeneralOptions` in class `GenericOptionsParser`
    Parameters:
      `opts` - input opts.
    Returns:
      Specify properties of each generic option. Important: as `Option` is not thread safe, subclasses must synchronize use on `Option.class`